#ifndef _CHATWDGT_H_
#define _CHATWDGT_H_

#include <qwidget.h>

class QTextEdit;
class QLineEdit;
class QString;

class ChatWdgt : public QWidget
{
     Q_OBJECT

public:
     ChatWdgt(bool priv=false, QWidget *parent=0,const char *name = 0);

public slots:
void addChatStr( const QString& );

private:

     QLineEdit *chatEdit;
     QTextEdit *chatText;

 private slots:
 void handleReturn();
     void emitClose();

signals:
 void newChatStr(const QString&, QWidget*);
 void close(QWidget*);

};

#endif
