#ifndef _UTIL_H
#define _UTIL_H

#include <qstring.h>

enum
{
	CONNECT_SUCCESS,
	COULD_NOT_CREATE_SOCKET,
	SLEEP_TIMED_OUT,
	COULD_NOT_CONNECT_TO_SOCKET,
	COULD_NOT_CONNECT
};

enum 
{
     DOWNLOAD,
     UPLOAD
};

// File transfer status
enum
{
     STATUS_WAITING,
     STATUS_TRYING,
     STATUS_RUNNING
};

extern QString bytes_to_units(const QString &s);
extern QString bytes_to_units(double sb);
extern double units_to_bytes(const QString &s);
extern QString sec_to_time(float seconds);

QString checkFile(const QString& file,int size);

#endif
